util-linux (2.41-4ubuntu4) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:59 +0000

util-linux (2.41-4ubuntu3) questing; urgency=medium

  * lib/path: avoid double free() for cpusets (LP: #2115636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Jul 2025 14:45:08 +0200

util-linux (2.41-4ubuntu2) questing; urgency=medium

  * Fix FTBFS (LP: #2112552)
    Mark a test as "known fail" due to coreutils-from-uutils. This test is
    skipped with coreutils-from-gnu anyway.
    - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Jun 2025 12:19:26 +0200

util-linux (2.41-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111830).
    Nothing of note in this merge, just a trivial patch refresh.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 27 May 2025 17:24:32 +0200

util-linux (2.41-4) unstable; urgency=medium

  * Pick patches from upstream v2.41-stable branch.
    Includes fix for #1102499 (Kubernetes regression with mount
    --no-canonicalize), regression fixes for option parsing in findmnt,
    handling of :! in more, handling of strings in tr_TR locale.
    (Closes: #1102499)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 09 Apr 2025 23:08:54 +0200

util-linux (2.41-3) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: fix names of lsfd files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 02 Apr 2025 19:31:10 +0200

util-linux (2.41-2) experimental; urgency=medium

  * Fix Conflicts/Replaces with manpages-pl
  * Install localized newgrp.1 into login

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Mar 2025 23:55:38 +0100

util-linux (2.41-1) experimental; urgency=medium

  * New upstream release.
  * d/control: put myself directly into the Maintainer field
  * Refresh patches
  * Update list of installed localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Mar 2025 17:26:32 +0100

util-linux (2.41~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: lsfd has moved in the source
  * d/README.source: replace pbuilder with sbuild
  * Drop upstream-applied patches
  * Drop untranslated manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 06 Mar 2025 13:30:32 +0100

util-linux (2.41~rc1-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * Fix mq_open lib missing on hurd

  [ Chris Hofstaedtler ]
  * Force UTF-8 locale during build
  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 13:19:39 +0100

util-linux (2.41~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental.
  * Rebase patches.
  * Bump uuid_time64 symbol to 2.40, for all archs.
  * Update dylib symbols.
  * Update liblastlog2-dev manual pages list.
  * Install coresched (into util-linux-extra).
  * Install bits (into util-linux-extra).
  * Install scols-filter(5) manpage.
  * Install uuidd-sysusers.conf, stop creating /var/lib/libuuid in packaging.
  * udebs: install static programs from debian/tmp.
  * Install rename bash-completion.
  * Update localised manual pages list.
  * Use d/not-installed to document not installed files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Feb 2025 07:16:05 +0100

util-linux (2.40.4-5) unstable; urgency=medium

  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 11:34:50 +0100

util-linux (2.40.4-4) unstable; urgency=medium

  [ Jörg Behrmann ]
  * Install exch (Closes: #1095655)

  [ Chris Hofstaedtler ]
  * Set Multi-Arch: same for liblastlog2-dev
  * Mark "login" test as flaky
  * Install localized manpages for exch(1)
  * debian/tests: drop oversized-chunks
  * Skip fadvise/drop test in salsa ci
  * Move resizepart from util-linux to util-linux-extra

  [ Florent 'Skia' Jacquet ]
  * d/tests: fix login test in case things™ are slow

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 14:21:56 +0100

util-linux (2.40.4-3) unstable; urgency=medium

  * Fix disabling colors, with patch from upstream (Closes: #1094283)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 05 Feb 2025 01:59:56 +0100

util-linux (2.40.4-2) unstable; urgency=medium

  * Apply upstream patch to forbid fallocate --posix with other options
    (Closes: #1092875)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 28 Jan 2025 00:36:44 +0100

util-linux (2.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patch to fix Romanian fsck.minix.8 manpage build.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 Jan 2025 12:37:14 +0100

util-linux (2.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch from upstream to fix build of Romanian fsck.minix.8 manpage.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 09 Jan 2025 14:13:24 +0100

util-linux (2.40.2-14ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091862).
      Note: this is the first merge of this package made through git-ubuntu.
      That explains some changes of formatting in the changelog entries.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
    Dropped changes:
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-[...].patch
      This is now in d/p/upstream-master/libblkid-fix-spurious-[...].patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 16 Dec 2024 13:12:37 +0100

util-linux (2.40.2-14) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/tests: add 'login' test

  [ Chris Hofstaedtler ]
  * tests/login: explicitly depend on passwd for useradd

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Jan 2025 15:12:09 +0100

util-linux (2.40.2-13) unstable; urgency=medium

  * Add patches from upstream master branch fixing various bugs,
    incl. fixes for cachestat on alpha.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 13:52:42 +0100

util-linux (2.40.2-12) unstable; urgency=medium

  * Stop building utmpdump, should not be necessary on wtmpdb systems
  * Stop marking mkfds-socketpair test as failing
  * Skip tmpfs-sensitive tests if fstype cannot be determined
  * Amend NEWS entry to hint updating /root/.profile (Closes: #1088009)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:35:11 +0100

util-linux (2.40.2-11) unstable; urgency=medium

  * tests: Temporarily mark fincore as failing in unshare
  * Stop installing mesg, write

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Nov 2024 13:03:57 +0100

util-linux (2.40.2-10) unstable; urgency=medium

  * d/gbp.conf: set debian-branch to debian/unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Nov 2024 23:01:29 +0100

util-linux (2.40.2-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix newgrp permissions only on Linux

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix tv_usec formatting (Closes: #1083006)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2024 20:13:03 +0200

util-linux (2.40.2-8) unstable; urgency=medium

  * Mark nologin, newgrp binaries and man pages linux-any
  * Install manpages using dh_install
  * Import patches from upstream master
    * newgrp: Optionally execute a program after group change
    * Treat out of memory as error
    * agetty: add "systemd" to --version output
    * lscpu: optimize query virt pci device
    * more: make sure we have data on stderr
    Thanks to Gábor Németh <homar@riseup.net> (Closes: #1078122)
  * Revert "Remove sg symlink to newgrp"
  * Install sg symlink only on Linux
  * Install write(1) manpage
  * salsa-ci: add nodoc profile

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 09 Sep 2024 23:20:25 +0200

util-linux (2.40.2-7) unstable; urgency=medium

  * login: update Section to admin (like in src:shadow)
    Thanks to Johannes Schauer Marin Rodrigues <josch@debian.org>
  * Stop installing getopt-example.tcsh.
    Per lintian tag csh-considered-harmful and policy section 10.4.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 12:29:34 +0200

util-linux (2.40.2-6) unstable; urgency=medium

  * Remove sg symlink to newgrp.
    Our newgrp does not take a command to execute, so stop pretending
    it works like sg. At least for now, we will not have sg.
    Addresses #1078122.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2024 18:35:53 +0200

util-linux (2.40.2-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Do not build login package for stage1 (Closes: #1078027)

  [ Sven Joachim ]
  * login: fix installing of /etc/pam.d/login (Closes: #1078036)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Aug 2024 21:19:26 +0200

util-linux (2.40.2-4) unstable; urgency=medium

  * Upload to unstable.

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.7.0
  * Patch login to support our PAM setup

  [ Helmut Grohne ]
  * Drop lastlog2 and libpam-lastlog2 from stage1 build (Closes: #1077967)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 17:20:49 +0200

util-linux (2.40.2-3) experimental; urgency=medium

  * Take over login package from src:shadow (Closes: #833256)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 02:54:35 +0200

util-linux (2.40.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/lastlog2.install: install systemd files only on Linux.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 00:31:55 +0200

util-linux (2.40.2-1ubuntu2) plucky; urgency=medium

  * Read the ext4 superblock with O_DIRECT if the first read produces a
    checksum failure. This fixes a race where the underlying superblock
    can be changed in memory but not on disk, resulting in checksum
    failures which in turn causes systemd-udevd to remove by-uuid and
    by-label symlinks. (LP: #2090972)
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-ext-superblock-checksum-mismat.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 05 Dec 2024 13:02:57 +1300

util-linux (2.40.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2072813). Remaining changes:
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
  * Drop Changes, included in Upstream:
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
      [Fixed in 2.40-1]
  * Drop Changes, included in Debian:
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
      [Fixed in 2.39.3-11]
    - move more to /usr/bin
      [Fixed in 2.40.1-8.1]

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 09 Aug 2024 15:48:13 -0700

util-linux (2.40.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patches.
  * Add upstream patches:
    Add binfmt_misc features to unshare(1).
    Avoid OOM-kill of swapoff(8).

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Jul 2024 15:57:30 +0200

util-linux (2.40.1-9) unstable; urgency=medium

  * (Pre-)Depend on libpam-{modules,runtime}, so runuser/su work
    (Closes: #1074157)
  * Ack NMU 2.40.1-8.1 by Helmut Grohne. Many thanks!

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jun 2024 01:31:42 +0200

util-linux (2.40.1-8.1) unstable; urgency=medium

  * Non-maintainer upload acked by Chris Hofstaedtler.

  [ Chris Hofstaedtler ]
  * Move /bin/more into /usr/bin. Closes: MR!28

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:23:00 +0200

util-linux (2.40.1-8) unstable; urgency=medium

  * libpam-lastlog2: fix incorrect removal of PAM config

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 03 Jun 2024 17:03:37 +0200

util-linux (2.40.1-7) unstable; urgency=medium

  * Upload to unstable.

  [ Samuel Thibault ]
  * Disable year2038 support on hurd-i386, fixes FTBFs (Closes: #1072472)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 02 Jun 2024 16:57:20 +0200

util-linux (2.40.1-6) experimental; urgency=medium

  * Convert lintian overrides for ftp-master very old lintian

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 09:20:49 +0200

util-linux (2.40.1-5) experimental; urgency=medium

  * Target experimental.
  * Add new binary packages for lastlog2, pam_lastlog2 and liblastlog2.so
    (Addresses Bug: #1068017)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 19:39:43 +0200

util-linux (2.40.1-4) unstable; urgency=medium

  * lintian: ignore missing misc:Depends, not needed with debputy
  * d/copyright: update
  * d/control: set Section: utils for Source: section

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 19:14:16 +0200

util-linux (2.40.1-3) unstable; urgency=medium

  * Stop installing last(1), Suggest: wtmpdb instead

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 23:58:19 +0200

util-linux (2.40.1-2) unstable; urgency=medium

  * Apply upstream patches: fix atime remount, fix smartcols reduction stages,
    clear uuidd cache on fork

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 May 2024 15:52:22 +0200

util-linux (2.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage: field.
  * Drop upstream-applied patches.
  * Apply new patches from upstream. (Closes: #1062208)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 May 2024 12:53:27 +0200

util-linux (2.40-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Also cover ctrlaltdel in /usr-move mitigation (Closes: #1069923)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Apr 2024 14:23:31 +0200

util-linux (2.40-7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Import upstream stable/v2.40 up to a8aa0b5f154a44557f5bae5a4027bdbfe42b0323
    * lsns: fix netns use
    * libmount: fix comment typo for mnt_fs_get_comment()
    * libmount: Fix access check for utab in context
    * lsblk: simplify SOURCES code
    * findmnt: always zero-terminate SOURCES data
    * agetty: Don't override TERM passed by the user
    * libsmartcols: reset wrap after calculation
    * lslocks: remove a unused local variable
    * lslocks: don't abort gathering per-process information even if
      opening a /proc/[0-9]* fails
    * lsns: tolerate lsns_ioctl(fd, NS_GET_{PARENT,USERNS}) failing with ENOSYS
    * lsns: report with warnx if a namespace related ioctl fails with ENOSYS
    * Fix misplaced else in mnt_update_already_done
    * findmnt: revise the code for -I and -D option (Closes: #1069634)
    * libblkid: topology/ioctl: simplify ioctl handling
    * libblkid: topology/ioctl: correctly handle kernel types
    * pam_lastlog2: link against liblastlog
    * libblkid: Fix segfault when blkid.conf doesn't exist (Closes: #1069634)

  [ Helmut Grohne ]
  * Fix /usr-move mitigation (Closes: #1069064).
    Thanks!

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 26 Apr 2024 11:41:02 +0200

util-linux (2.40-6) unstable; urgency=medium

  * Add upstream patches fixing enosys on m68k, sh and dmesg -H output
    (Closes: #1068831, #1068691)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 15 Apr 2024 09:51:01 +0200

util-linux (2.40-5) unstable; urgency=medium

  * Release to unstable.
  * Apply upstream patch to skip lsfd test on kernels lacking features
  * d/rules: print deleted files
  * Install new enosys program (into util-linux-extra)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Apr 2024 16:14:54 +0200

util-linux (2.40-4) experimental; urgency=medium

  * test: fix marking of fadvise/drop as known failed

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 03 Apr 2024 23:03:28 +0200

util-linux (2.40-3) experimental; urgency=medium

  * tests: mark fadvise/drop as known failing on buildds.
    Per discussion on #debian-buildd. The buildds have always used tmpfs as the
    build location, and with schroot this is visible to the util-linux tests.
    They in turn disable fadvise/drop, as it does not work on tmpfs.  With the
    unshare backend, the actual backing filesystem is hidden, so the test gets
    run and fails.
  * Remove build-time lsfd debugging

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 21:58:11 +0200

util-linux (2.40-2) experimental; urgency=medium

  * Add upstream patch for lsfd sockdiag test
  * Build fdisk package even for stage1
    fdisk is a build dependency of systemd. Therefore it is useful to have it in
    the stage1 build, which is used to build systemd later on.
  * Improve recent util-linux(-extra) moves.
    Update Breaks/Replaces. Add protective diversions for usrmerged binaries.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 14:03:51 +0200

util-linux (2.40-1) experimental; urgency=medium

  * New upstream release 2.40.
  * Drop upstream-applied patches
  * Revert "Debug test_mkfds failure on buildds"
  * Disable failing lsfd tests again, while upstream figures out
    how to detect unix_diag.ko being absent
  * Update libmount1.symbols
  * Update util-linux-locales manpage list

  [ Niels Thykier ]
  * debputy R³ support
  * d/control: Remove unused and seemingly invalid `Section: base`
  * d/control: Fix two typos in the description
  * d/control: Bump dh-sequence-zz-debputy-rrr dependency
    The automatic relationship substvars feature did not work prior to
    0.1.23.
  * Remove unnecessary relationship substvars, handled by debputy

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 29 Mar 2024 13:08:52 +0100

util-linux (2.40~rc2-8) experimental; urgency=medium

  * Merge from unstable.
  * Build-Depends: Replace pkg-config with pkgconf
  * Enable ELF metadata stamping
  * Debug test_mkfds failure on buildds

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Mar 2024 13:29:30 +0100

util-linux (2.39.3-11) unstable; urgency=medium

  * Apply upstream patch fixing CVE-2024-28085
  * No longer install wall, write setgid tty

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 27 Mar 2024 16:28:22 +0100

util-linux (2.40~rc2-7) experimental; urgency=medium

  * Move ctrlaltdel, fsck.cramfs, fsck.minix, mkfs.bfs, mkfs.cramfs,
    mkfs.minix to util-linux-extra
  * Stop installing addpart, delpart, please use partx instead
  * Mark more programs as not-installed
  * uuid-runtime: install tmpfiles config

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 24 Mar 2024 20:53:44 +0100

util-linux (2.40~rc2-6) experimental; urgency=medium

  * Fix incomplete upstream patch for sockdiag_unix

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Mar 2024 12:41:43 +0100

util-linux (2.40~rc2-5) experimental; urgency=medium

  * Add upstream patch to skip lsfd test if sockdiag_unix is unavailable
    https://github.com/util-linux/util-linux/issues/2822

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Mar 2024 09:50:09 +0100

util-linux (2.40~rc2-4) experimental; urgency=medium

  * Reduce uuid-runtime Recommends to Suggests (Closes: #1065569)
  * Revert marking sockdiag test, add ss/sysctl debug

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 16 Mar 2024 00:19:22 +0100

util-linux (2.40~rc2-3) experimental; urgency=medium

  * Mark lsfd/mkfds-unix-stream-requiring-sockdiag as failing too

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 20:03:39 +0100

util-linux (2.40~rc2-2) experimental; urgency=medium

  * Disable another lsfd test which is broken on the buildds.
  * Merge with unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 15:20:41 +0100

util-linux (2.39.3-10) unstable; urgency=medium

  * Tighten dependencies between programs and our own shlibs

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Mar 2024 22:11:55 +0100

util-linux (2.39.3-9) unstable; urgency=medium

  * Provide libuuid1t64 on i386

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 22:36:39 +0100

util-linux (2.39.3-8) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Break/Replace libuuid1t64 and provide it versioned (Closes: #1065242)
  * Update architecture list for Provides: libuuid1t64
  * d/gbp.conf: update debian-branch

  [ Johannes Schauer Marin Rodrigues ]
  * util-linux.postinst: avoid running uname in maintainer script for
    chrootless hurd support (Closes: #1063638)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 13:45:06 +0100

util-linux (2.39.3-7) unstable; urgency=medium

  * Run wrap-and-sort -kas
  * Revert rename of libuuid1 to libuuid1t64
  * Apply upstream patches for dual-time_t-ABI

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 11:20:22 +0100

util-linux (2.40~rc2-1) experimental; urgency=medium

  * New upstream version, target experimental.
  * Add new Build-Depends: flex
  * Do not build liblastlog2 for now
  * Disable newly failing lsfd test
  * Drop no-longer localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 00:02:17 +0100

util-linux (2.39.3-9ubuntu10) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:58 +0200

util-linux (2.39.3-9ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2024 10:02:37 -0400

util-linux (2.39.3-9ubuntu5) noble; urgency=high

  * No change rebuild against libreadline8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:51:40 +0200

util-linux (2.39.3-9ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:15 +0000

util-linux (2.39.3-9ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
    - debian/rules: remove setuid bit from wall as recommended by upstream
      as the above patch is insufficient.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Mar 2024 08:06:33 -0400

util-linux (2.39.3-9ubuntu2) noble; urgency=medium

  * No-change rebuild to allow bootstrapping for 64-bit time_t

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 09:55:06 +0000

util-linux (2.39.3-9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Move more to usr/bin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 00:39:13 -0800

util-linux (2.39.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063039

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:32:09 +0000

util-linux (2.39.3-6ubuntu2) noble; urgency=medium

  * Move more to usr/bin again

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 14:21:54 +0100

util-linux (2.39.3-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:48:19 +0100

util-linux (2.39.3-6) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Jan 2024 15:25:05 +0100

util-linux (2.39.3-5) experimental; urgency=medium

  * Install /bin/more in the old location again, to avoid breaking bootstrap
    scenarios

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 14:46:09 +0100

util-linux (2.39.3-4) experimental; urgency=medium

  * Install programs into /usr{/bin,/sbin}

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:41:07 +0100

util-linux (2.39.3-3) unstable; urgency=medium

  * Add patch from upstream to fix build on alpha

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:32:22 +0100

util-linux (2.39.3-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Install manpages via dh_installman instead of dh_install
  * d/util-linux-locales.install: Do not install manpages when building with
    <nodoc>
  * d/control: Support <nodoc> build profile

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Dec 2023 04:22:29 +0100

util-linux (2.39.3-1) unstable; urgency=medium

  * New upstream stable release
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Dec 2023 21:35:58 +0100

util-linux (2.39.2-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
  * Dropped changes, included in Debian:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 20 Nov 2023 16:51:50 -0500

util-linux (2.39.2-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/util-linux.manpages,util-linux-locales.install: Generalize hurd-i386 into
    hurd-any.

  [ Chris Hofstaedtler ]
  * Fix FTBFS on hurd-i386 using upstreamed patch.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1055875)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Nov 2023 12:48:34 +0100

util-linux (2.39.2-5) unstable; urgency=medium

  * Fix setterm --resize

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Oct 2023 23:02:25 +0100

util-linux (2.39.2-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with stage1 profile (Closes: #1054162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 18 Oct 2023 15:36:05 +0200

util-linux (2.39.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Drop asciidoctor build-dep in stage1 profile (Closes: #1053324)

  [ Chris Hofstaedtler ]
  * Remove hwclock initscript leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Oct 2023 22:37:45 +0200

util-linux (2.39.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:21:34 +0100

util-linux (2.39.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hwclock machinery migrated to initscripts.

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 14:54:02 +0100

util-linux (2.39.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Apply wrap-and-sort -kas

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052981)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Sep 2023 17:39:54 +0200

util-linux (2.39.2-1) unstable; urgency=medium

  * New upstream version 2.39.2, fixing various libmount issues.
  * Refresh patches
  * Apply additional patches from upstream:
    * libmount: Fix regression when mounting with atime (Closes: #1042714)
    * setarch: add riscv64 support
    * cfdisk: fix menu behavior after writing changes (Closes: #927041)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Aug 2023 22:14:58 +0200

util-linux (2.39.1-4ubuntu2) mantic; urgency=medium

  * Disable brand new feature with --disable-libmount-mountfd-support that
    causes inability to deploy MAAS LP: #2037417

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 05 Oct 2023 22:27:31 +0100

util-linux (2.39.1-4ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
    using the Focal kernel (LP: #2030793)
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 11 Aug 2023 11:39:16 -0600

util-linux (2.39.1-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Update Breaks/Replaces manpages-l10n to << 4.19.0-7~ (Closes: #1042773)
  * Import upstream patches to fix fadvise tests

  [ John David Anglin ]
  * Fix build on hppa (Closes: #1042990)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 11 Aug 2023 18:52:26 +0200

util-linux (2.39.1-3ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 07 Aug 2023 16:32:57 -0600

util-linux (2.39.1-3) unstable; urgency=medium

  * Release to unstable.
    * logger: initialize socket credentials control union (Closes: #1040710)
    * Install localized manpages, previously shipped by manpages-l10n
      (Closes: #1037040)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jul 2023 15:10:52 +0200

util-linux (2.39.1-2) experimental; urgency=medium

  * Install localized manpages
  * Stop hard-depending on util-linux-extra
  * Install new blkpr, fadvise, pipesz, waitpid utilities
  * Fix libmount1 symbols on non-linux
  * Build-Depend on libncurses-dev instead of old libncurses5-dev,
    libncursesw5-dev

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 21 Jul 2023 11:44:22 +0200

util-linux (2.39.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #990243)
    * umount: properly handle special characters in completion
      (Closes: #1011401)
    * fdisk: fix --output option parsing (Closes: #1022249)
    * logger: initialize socket credentials contol union (Closes: #1040710)
    * wall: use fputs_careful() (Closes: #826596)
    * Use non-deprecated chown syntax (Closes: #1007139)
  * Drop upstream patches, refresh Debian-specific patches.
  * Fix fincore test.
  * Update debian/copyright.
  * Build-Depend on po4a, but do not install translated manpages just yet.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Jul 2023 23:12:16 +0200

util-linux (2.38.1-6) unstable; urgency=medium

  * Skip some problematic code for stage1 builds
  * Add upstream patch to fix logger --id
  * Update lintian overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Jul 2023 22:21:57 +0200

util-linux (2.38.1-5ubuntu2) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Add missing ARM cores for NVIDIA Grace (LP: #2019856)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 23 May 2023 15:55:47 -0300

util-linux (2.38.1-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 May 2023 09:15:55 -0600

util-linux (2.38.1-5) unstable; urgency=medium

  * Apply upstream patch to fix logger timestamp for stdin (Closes: #1030285)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Feb 2023 08:48:21 +0000

util-linux (2.38.1-4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1997989)
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 28 Nov 2022 14:39:17 +0100

util-linux (2.38.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Build-Depend on libcrypt-dev explicitly (Closes: #1024794)

  [ Chris Hofstaedtler ]
  * script: abort if unused arguments given (Closes: #1016193)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 25 Nov 2022 15:19:08 +0000

util-linux (2.38.1-3) unstable; urgency=medium

  * Apply "rfkill: (man) List options for supported device types"
    (Closes: #1019007)
  * Apply "lib/pty: Put master PTY into non-blocking mode and buffer its output
    to avoid deadlock" (Closes: #1003095)
  * Gift /var/lib/libuuid to uuid-runtime.  uuidd should be its only user, and
    this should avoid piuparts errors.
  * Remove pre-stable NEWS entries

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Nov 2022 15:48:44 +0000

util-linux (2.38.1-2) unstable; urgency=medium

  * Import upstream patches
    * fsck: Processes may kill other processes.
    * lscpu: Add Kryo 3XX Gold core
    * lscpu: Even more Arm part numbers
    * Remove closing braces in Apple cores names
    * lscpu: (arm) don't use space in names
    * lscpu: add missing Apple parts
    * lscpu: make Apple part names human-friendly
    * Fix formatting.
    * Adding Apple core names, distinguish by SoC/SiP name
    * Add Makalu/Makalu-ELP (A715/X3)
    * lscpu: Add Snapdragon parts
    * sfdisk: inform about failed fsync() [coverity scan]
    * libfdisk: (gpt) don't ignore fsync() errors
    * sfdisk: improve code readability for coverity scan
    * libfdisk: make scripts portable between different sector sizes
    * fdisk: make it more obvious that DOS means MBR
    * fdisk: fix --output option parsing
    * kill: Support mandating the presence of a userspace signal handler
    * lib/procfs: add function to parse /proc/#/stat
    * lsblk: fix endless loop if device specified more than once
    * libuuid: check clock value from LIBUUID_CLOCK_FILE
    * uuidd: fix random UUIDs
    * libuuid: Implement continuous clock handling for time based UUIDs
    * lib/path: ul_path_cpuparse: fix parsing of empty sysfs files
    * libblkid: ntfs: avoid UB in signed shift
    * libblkid: iso9660: allocate enough space for UTF16 decoding
  * Make /var/lib/libuuid writable by uuidd (Closes: #1021657)
  * Add new __uuid_generate_time_cont@UUIDD_PRIVATE symbol

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 16 Nov 2022 10:32:57 +0000

util-linux (2.38.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore /usr/bin/rename.ul per TC decision in #1003653

 -- Matthew Vernon <matthew@debian.org>  Sat, 08 Oct 2022 14:17:31 +0100

util-linux (2.38.1-1) unstable; urgency=medium

  * New upstream release.
    * Rebase patches, drop upstream applied patches
  * uuid-runtime: Quiet adduser warnings.
    Thanks to Diederik de Haas <didi.debian@cknow.org> (Closes: #1016372)
  * d/README.source: fix tarball name in example

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Aug 2022 16:18:17 +0000

util-linux (2.38-6) unstable; urgency=medium

  * autopkgtest: bump oversized-chunk size limit, empty chunks have
    regressed on arm64, armel, armhf. Cf. #785075

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Jul 2022 10:28:10 +0000

util-linux (2.38-5) unstable; urgency=medium

  * Use sensible-pager instead of less by default.
    Adds Recommends: sensible-utils, so sensible-pager is available in
    default installations. (Closes: #1014368)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Jul 2022 09:56:00 +0000

util-linux (2.38-4ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
  * Dropped changes, included upstream:
    - Revert the change to libsmartcols that outputs shell parsable column
      names when -P / --pairs is used in lsblk. The change breaks older
      MAAS and curtin versions, such that they cannot deploy Jammy.
      (LP: #1961542)
      - d/p/ubuntu/lp-1961542-Revert-libsmartcols-sanitize-variable-names-on-ex.patch
    - SECURITY UPDATE: Unauthorized unmount of FUSE filesystems belonging to
      users with similar uid
      - debian/patches/upstream/CVE-2021-3995-1.patch: make sure mem2strcpy()
        buffer is zeroized in include/strutils.h.
      - debian/patches/upstream/CVE-2021-3995-2.patch: fix UID check for FUSE
        umount in libmount/src/context_umount.c, libmount/src/mountP.h,
        libmount/src/optstr.c.
      - CVE-2021-3995
    - SECURITY UPDATE: Unauthorized unmount in util-linux's libmount
      - debian/patches/upstream/CVE-2021-3996-1.patch: remove support for
        deleted mount table entries in libmount/src/tab_parse.c.
      - debian/patches/upstream/CVE-2021-3996-2.patch: update mountinfo files
        in tests/*.
      - CVE-2021-3996
    - Update translations after changes to HiFive partition names
  * Stop cleaning up weekly fstrim cron file as it has been gone since
    Bionic.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 May 2022 10:30:45 +1200

util-linux (2.38-4) unstable; urgency=medium

  * Ship empty /var/lib/libuuid again.
    In 2014 we stopped creating this directory as part of the package. For
    some more time, this was the home directory of the uuid runtime user,
    but that got changed to /run/uuidd then. Ship this directory again,
    as libuuid puts a file there, and since 2.38 the uuidd.service
    definition also wants to bind-mount it. (Closes: #1009686)
  * Update libfdisk1, libmount1, libsmartcols1 symbol files
  * util-linux-extra: fix misc:Pre-Depends mixup in Depends:
  * Use different method to install lsfd into /usr/bin
  * Install lsirq into util-linux-extra

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Apr 2022 11:50:55 +0000

util-linux (2.38-3) unstable; urgency=medium

  * Update fdisk test data for ppc64le, fixing FTBFS there.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2022 20:33:06 +0000

util-linux (2.38-2) unstable; urgency=medium

  * hardlink tests: set known failed

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Apr 2022 20:37:24 +0000

util-linux (2.38-1) unstable; urgency=medium

  * New upstream release.
    * Rebase patches, drop upstream applied patches
  * Introduce util-linux-extra binary package with Priority: standard,
    which I expect to move a number of programs from util-linux to
    in the future. For upgrade considerations, this is pseudo-Essential.
  * Move fincore, hwclock to util-linux-extra.
  * tests/functions.sh: Use non-deprecated chown syntax (Closes: #1007139)
  * Install lsfd into util-linux-extra (Closes: #1009284)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Apr 2022 15:49:35 +0000

util-linux (2.37.3-1) unstable; urgency=medium

  * New upstream release:
    * libmount: fix UID check for FUSE umount, fixes CVE-2021-3995
    * libmount: fix (deleted) suffix issue, fixes CVE-2021-3996
  * d/bsdextrautils.install: remove useless use of dh-exec

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jan 2022 13:25:57 +0000

util-linux (2.37.2-6) unstable; urgency=medium

  * Import upstream patch to make agetty and systemd v250 play nice.
    Fixes: #1003595
    Thanks to Sven Joachim

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jan 2022 12:07:45 +0000

util-linux (2.37.2-5) unstable; urgency=medium

  * Stop supporting alternatives for /usr/bin/write (Closes: #995667)
  * Install disabled logcheck file for util-linux.
    I do not feel comfortable enough to install this by default (and also
    it would be a new conffile). Users can symlink it. (Closes: #997822)
  * Update copyright file (Closes: #990067)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 24 Dec 2021 12:41:50 +0000

util-linux (2.37.2-4ubuntu3) jammy; urgency=medium

  * Revert the change to libsmartcols that outputs shell parsable column
    names when -P / --pairs is used in lsblk. The change breaks older
    MAAS and curtin versions, such that they cannot deploy Jammy.
    (LP: #1961542)
    - d/p/ubuntu/lp-1961542-Revert-libsmartcols-sanitize-variable-names-on-ex.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 21 Feb 2022 14:49:57 +1300

util-linux (2.37.2-4ubuntu2) jammy; urgency=medium

  * SECURITY UPDATE: Unauthorized unmount of FUSE filesystems belonging to
    users with similar uid
    - debian/patches/upstream/CVE-2021-3995-1.patch: make sure mem2strcpy()
      buffer is zeroized in include/strutils.h.
    - debian/patches/upstream/CVE-2021-3995-2.patch: fix UID check for FUSE
      umount in libmount/src/context_umount.c, libmount/src/mountP.h,
      libmount/src/optstr.c.
    - CVE-2021-3995
  * SECURITY UPDATE: Unauthorized unmount in util-linux's libmount
    - debian/patches/upstream/CVE-2021-3996-1.patch: remove support for
      deleted mount table entries in libmount/src/tab_parse.c.
    - debian/patches/upstream/CVE-2021-3996-2.patch: update mountinfo files
      in tests/*.
    - CVE-2021-3996

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Feb 2022 07:21:37 -0500

util-linux (2.37.2-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Allow to build without udeb packages.
    - Update translations after changes to HiFive partition names

 -- Mario Limonciello <superm1@gmail.com>  Wed, 27 Oct 2021 00:35:24 -0500

util-linux (2.37.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove 1 obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.

  [ Chris Hofstaedtler ]
  * Add upstream-applied patches for requested features
    * Use more passive wording in hardlink.1
    * fallocate: Let user choose larger buffers for IO reading
    * Update HiFive partition names
      Thanks to Alexandre Ghiti, Eduard Bloch (Closes: #994941)
    * more: add upstream patch for "Erase line before writing the filename"
      Thanks to Vincent Smeets (Closes: #992516)
  * Apply upstream patch to remove accidental nbsp from blockdev output
    (Closes: #996751)
  * Apply upstreamed patch to fix FTBFS with mkswap on ext3 in cowbuilder.
    Thanks to Mark Hindley <mark@hindley.org.uk> (Closes: #996764)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 19 Oct 2021 14:02:14 +0000

util-linux (2.37.2-3) unstable; urgency=medium

  * Disable --enable-raw (Closes: #994798)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Sep 2021 12:58:03 +0000

util-linux (2.37.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Take over hardlink binary (Closes: #992498)
  * Tidy up installed example files

  [ Luca Boccassi ]
  * Build with libcryptsetup-dev in dlopen mode to enable dm-verity.
    Re-enable dm-verity support. Use the new dlopen configure flag, so that
    instead of linking against libcryptsetup.so, it is loaded dynamically
    at runtime, and only if the verity feature options (-o verity...) are
    used, to avoid the dependency on the libcryptsetup package being pulled
    in unconditionally. Add it as a Suggests on cryptsetup-bin.
    (Closes: #951048)

  [ Chris Hofstaedtler ]
  * Remove obsolete upgrade code
  * Introduce pkg.util-linux.noverity build profile, disables dm-verity
    support. Add debian/README.build-profiles.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 05 Sep 2021 15:15:21 +0000

util-linux (2.37.2-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Update to upstream version 2.37.2, rebase patches
    * Skip lsns/ioctl_ns test if unshare fails
    * Stop installing fdformat, following upstream
    * Follow upstream rename of getopt examples
    * libblkid1: update symbols
    * libmount1: update symbols
    * Install new uclampset binary
  * Depend on asciidoctor for man pages.
    We should figure out how to skip asciidoctor for stage1 builds, as it is
    not strictly necessary except for some edge cases.
  * d/copyright: remove non-existing files (Closes: #987942)
  * d/rules: fix space/tab confusion in stage1 part
  * Disable GPL3+ parts in hwclock (Closes: #987944)
  * Explicitly conflict with libedit-dev, causes build failures
  * Install linux32, linux64 manpages as upstream intended (section 8)
  * Remove relations that are fulfilled in at least buster
  * Bump Standards-Version to 4.6.0

  [ Matthias Klose ]
  * Allow building without udeb packages (Closes: #983557)
    Tag all *-udeb packages with the !noudeb build-profile to
    allow building without the udebs.

  [ Andreas Henriksson ]
  * bsdextrautils: Make shlibs:Depends regular Depends
    As described in the bug report, bsdextrautils is a normal
    package (not Essential: yes), so doesn't need to Pre-Depend
    on libraries. Thanks to Sven Joachim for a keen eye to catch
    this detail. (Closes: #982557)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 09:31:11 +0000

util-linux (2.36.1-8ubuntu2) impish; urgency=medium

  * Fix HiFive partition names (LP: #1944741)
    - include: Rename HiFive partition UUIDs
    - po: Update translations after changes to HiFive partition names

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 23 Sep 2021 16:07:01 +0200

util-linux (2.36.1-8ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Allow to build without udeb packages.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 12 Aug 2021 09:43:10 +1200

util-linux (2.36.1-8) unstable; urgency=medium

  * Apply upstream patch for CVE-2021-37600 (Closes: #991619)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 28 Jul 2021 19:09:07 +0000

util-linux (2.36.1-7ubuntu2) hirsute; urgency=medium

  * Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 08:18:04 +0100

util-linux (2.36.1-7ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    Dropped changes:
    - Unbreak mount.cifs user mount
      - d/p/libmount-don-t-use-symfollow-for-helpers-on-user-mounts.patch:
       Backport from upstream patch to fix user mounts on mount.cifs,
       because the "symfollow" option became unknown.

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Feb 2021 16:33:46 +0100

util-linux (2.36.1-7) unstable; urgency=medium

  * libmount: allow --read-only for not-root users.
    Apply patch from upstream. (Closes: #980828)
  * Cleanup Uploaders

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 14:38:19 +0000

util-linux (2.36.1-6) unstable; urgency=medium

  * libmount: do not canonicalize ZFS source dataset.
    Upstream patch. (Closes: #980273)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Jan 2021 20:27:00 +0000

util-linux (2.36.1-5) unstable; urgency=medium

  * hwclock-set: remove useless source /etc/default/rcS
  * hwclock-set: remove stamp file.
    Since initramfs-tools 0.119 (jessie), hwclock-set is not installed
    in the initramfs anymore. This was the original reason for having
    the stamp file.
  * man cfdisk: Add upstream patch documenting resize command.
    Thanks to Vincent McIntyre <Vincent.Mcintyre@csiro.au>
    (Closes: #915971, #906918)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 11 Jan 2021 22:03:06 +0000

util-linux (2.36.1-4) unstable; urgency=medium

  * bsdextrautils: Install colcrt (Closes: #977871)
  * hwclock.sh: remove obsolete startup code.
    Let the on startup code always be handled by the udev rule we install.
    On any normal system, systemd or sysvinit, "hwclock.sh start" was a
    no-op for the last few Debian releases already. Also, with initramfs,
    hwclock.sh never got executed *before* fsck for root.
    If your system does not have udev but has an RTC in localtime or one
    needing drift adjustments, you will need to handle this yourself.
  * hwclock: remove all broken settings.
    Since buster, BADYEAR was broken, because upstream removed the code in
    v2.30-rc1.
    Since buster, the alpha cmos support was broken, because upstream
    removed the code.
    Since stretch, HWCLOCKACCESS=no was broken on udev systems, because the
    helper ignored it.
    Remove all those settings; also remove HCTOSYS_DEVICE from the
    default-shipped /etc/default/hwclock, as changing it is extremely
    difficult to get right.
  * hwclock.sh: add comments when to use this init script
  * Update advice on ALWAYS_SET_PATH to use /etc/default/su (Closes: #905564)
  * Remove Suggests: console-tools. Gone since 2013.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 29 Dec 2020 15:46:26 +0000

util-linux (2.36.1-3) unstable; urgency=medium

  [ Quentin PAGÈS ]
  * Occitan translation for eject

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.5.1
  * Refresh patches

  [ Matthew Vernon ]
  * getopt(1): explicitly say where examples are on Debian (Closes: #913049)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Dec 2020 13:42:03 +0000

util-linux (2.36.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Register /bin/more as pager alternative only on Linux.
  * Fix build on non-Linux architectures (Closes: #975008)

  [ Chris Hofstaedtler ]
  * Add upstream patch fixing user mounts on kernel < 5.10 (Closes: #975727)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 25 Nov 2020 21:07:38 +0000

util-linux (2.36.1-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:29 +0100

util-linux (2.36.1-1ubuntu2) hirsute; urgency=medium

  * Unbreak mount.cifs user mount (LP: #1905510)
    - d/p/libmount-don-t-use-symfollow-for-helpers-on-user-mounts.patch:
      Backport from upstream patch to fix user mounts on mount.cifs,
      because the "symfollow" option became unknown.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 26 Nov 2020 16:51:24 -0500

util-linux (2.36.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Nov 2020 13:50:25 +0100

util-linux (2.36.1-1) unstable; urgency=medium

  * New upstream stable release
  * Remove upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 16 Nov 2020 14:01:03 +0000

util-linux (2.36-4) unstable; urgency=medium

  [ Holger Wansing ]
  * Re-add Tajik debconf translation file (somehow lost from eject package).
    Taken from bug #890079.
  * Update Norwegian Bokmål debconf translation according to last state in
    eject package (taken from bug #923919).

  [ Slimane Selyan Amiri ]
  * Add Kabyle translation for eject (via Hoger Wansing)

  [ Chris Hofstaedtler ]
  * flock: keep -E exit status more restrictive (Closes: #973751)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 16 Nov 2020 09:18:06 +0000

util-linux (2.36-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Aug 2020 21:31:17 +0200

util-linux (2.36-3) unstable; urgency=medium

  * Fix sfdisk regression with upstream patch (Closes: #966992)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Aug 2020 12:32:39 +0000

util-linux (2.36-2ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 21:14:53 +0200

util-linux (2.36-2) unstable; urgency=medium

  * Reinstate libblkid.a (Closes: #966330)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 01 Aug 2020 17:28:26 +0000

util-linux (2.36-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
  * Dropped changes, included upstream:
    - root-not-required-to-be-mountpoint.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2020 11:38:58 +0200

util-linux (2.36-1) unstable; urgency=medium

  * New upstream release. (Closes: #956739, #959783, #953065, #879024)
    The new lsirq and irqtop tools are not installed for now, as without
    per-CPU data they do not seem mature at this time.
  * Use debhelper v13. (Closes: #963625)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 23 Jul 2020 22:56:45 +0000

util-linux (2.35.2-9ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
  * Dropped changes, superseded by Debian with upstream patch:
    - Mark one failing test on riscv64 as xfail, while proper investigation is
      ongoing (probably according to Debian build logs, some changes between
      kernel 5.0 and 5.7 fixed the test).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 00:03:33 +0200

util-linux (2.35.2-9) unstable; urgency=medium

  * Fix uname26 test, by applying upstream commit 2261cfdc26.
    Thanks to Helge Deller <deller@gmx.de> (Closes: #961639)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Jul 2020 20:32:19 +0000

util-linux (2.35.2-8) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Explicitly return a value from main() (Closes: #964420)
  * d/tests: Don't link with -lm
  * d/tests: Don't save built binaries as artifacts

  [ Chris Hofstaedtler ]
  * Reenable verbose tests and drop arch exceptions on Linux
  * Stop Recommending bsdmainutils (transitional)
  * Stop providing static libraries for: libblkid, libfdisk, libmount,
    libsmartcols. Also see #963933.

  [ Sven Joachim ]
  * Do not invoke dh_makeshlibs for libmount1 on non-linux arches
    (Closes: #963625)

  [ Samuel Thibault ]
  * Enable write on all platforms, not just linux (Closes: #964393)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Jul 2020 12:50:41 +0000

util-linux (2.35.2-7ubuntu3) groovy; urgency=medium

  * debian/bsdextrautils:
    - fix the files persmission to be +x

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 16:32:35 +0200

util-linux (2.35.2-7ubuntu2) groovy; urgency=medium

  * debian/rules:
    - fix a merge error and correctly enable write

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 15:12:10 +0200

util-linux (2.35.2-7ubuntu1) groovy; urgency=medium

  * Resynchronize with Debian, remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Mark one failing test on riscv64 as xfail, while proper investigation is
      ongoing (probably according to Debian build logs, some changes between
      kernel 5.0 and 5.7 fixed the test).

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 13:27:09 +0200

util-linux (2.35.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Add a compile/link/run autopkgtest for each library

  [ Chris Hofstaedtler ]
  * Build-Conflict with libcryptsetup-dev.
    Building with libcryptsetup-dev enables Verity support, but also makes
    all programs using libmount1 pull in libcryptsetup12 and libjansson.
    However, libjansson and libjson-c (used in many other "core" libraries)
    export conflicting symbols today, causing various crashes. See Debian
    bug #963932.
    Also, libcryptsetup12 pulls in libssl1.1, which causes some
    not-from-Debian software to crash (because of conflicting libssl
    symbols).
    Unfortunately this disables Verity support again, see Debian bug
     #951048.
  * Remove Important: yes from mount
  * Take over look and write from bsdmainutils (Closes: #964242)

  [ jan krcmar ]
  * Fix group name in su's PAM config comment: The pam_wheel.so default group
    is wheel, not root. Update the comment accordingly, to avoid confusion.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 06 Jul 2020 15:22:50 +0000

util-linux (2.35.2-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Add libcryptsetup-dev dependency to libmount-dev (Closes: #963704)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jun 2020 16:56:12 +0000

util-linux (2.35.2-5ubuntu3) groovy; urgency=medium

  * debian/control, debian/rules;
    - build again without libcryptsetup, see the Debian commit for details
      https://salsa.debian.org/debian/util-linux/-/commit/1ab05640

 -- Sebastien Bacher <seb128@debian.org>  Mon, 29 Jun 2020 15:23:10 +0200

util-linux (2.35.2-5ubuntu2) groovy; urgency=medium

  * Add missing Depends: on libcryptsetup-dev to libmount-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 25 Jun 2020 11:00:16 -0700

util-linux (2.35.2-5ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Mark one failing test on riscv64 as xfail, while proper investigation is
      ongoing (probably according to Debian build logs, some changes between
      kernel 5.0 and 5.7 fixed the test).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jun 2020 17:10:31 +0200

util-linux (2.35.2-5) unstable; urgency=medium

  * Build with libcryptsetup-dev to enable dm-verity (Closes: #951048)
  * hwclock: move files from /lib to /usr/lib
  * Stop installing rename.ul at all (Closes: #926637)
  * Make hd work like hexdump -C (Closes: #963491)
  * Remove Build-Depends: dpkg-dev (>= 1.17.14), and version constraint on
    dh-exec.  Both fulfilled in oldoldstable and newer
  * Remove outdated Breaks/Replaces/Suggests.
    Replaces: util-linux (<< 2.11b), bash-completion (<< 1:2.1-4.3~),
    bash-completion (<< 1:2.1-4.1~), e2fsprogs (<< 1.34-1), e2fsprogs (<=
    1.40.3-1ubuntu1), e2fslibs-dev (<< 1.15) and version on Suggests:
    nfs-common (>= 1:1.1.0-13)
    All fulfilled in oldoldstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jun 2020 12:06:52 +0000

util-linux (2.35.2-4ubuntu2) groovy; urgency=medium

  * Mark one failing test as xfail

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 15:59:28 +0200

util-linux (2.35.2-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
  * Dropped changes, superseded by Debian:
    - debian/patches/root-not-required-to-be-mountpoint.patch: disable
      test that fails if / is not a mountpoint.
   * Dropped changes, included upstream:
    - d/p/hwclock_fix_audit_status.patch: fix audit exit status
    - d/p/umount-completion.patch: fix completion to not require gawk be
      present.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 10:37:42 +0200

util-linux (2.35.2-4) unstable; urgency=medium

  * d/watch: update to find -rc versions

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jun 2020 01:28:37 +0000

util-linux (2.35.2-3) unstable; urgency=medium

  [ Holger Wansing ]
  * po: Convert po files into UTF-8
  * po: Correct charset declaration to UTF-8
  * po: Add/fill/correct translation headers, to make msgfmt happy

  [ Chris Hofstaedtler ]
  * Introduce new bsdextrautils binary package:
    Take over col, colcrt, colrm, column, hexdump, hd, look and ul from
    bsdmainutils.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 May 2020 13:01:05 +0000

util-linux (2.35.2-2) unstable; urgency=medium

  * umount bash-completion: avoid gawk Recommends. (Closes: #933934)
    Pulled in upstream-applied patch from Étienne Mollier.
    Thanks to Étienne Mollier <etienne.mollier@mailoo.org>
    and Guillem Jover <guillem@debian.org>

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 22 May 2020 10:41:16 +0000

util-linux (2.35.2-1) unstable; urgency=medium

  * New upstream release (Closes: #960839).
  * Drop all patches, applied upstream.
  * mount: add Recommends: gawk for bash-completion.
    The bash-completion for umount now explicitly uses gawk. Recommends:
    should pull in gawk on new installs in a typical environment, and
    users with Recommends turned off already know what they are doing.
    (Closes: #933934)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 May 2020 22:21:26 +0000

util-linux (2.35.1-5ubuntu2) groovy; urgency=medium

  * debian/patches/root-not-required-to-be-mountpoint.patch: disable
    test that fails if / is not a mountpoint.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 14:00:08 -0700

util-linux (2.35.1-5ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - d/p/umount-completion.patch: fix completion to not require gawk be
      present.
    - d/p/hwclock_fix_audit_status.patch: fix audit exit status
  * Dropped changes, included in Debian:
    - Drop dependency from util-linux to fdisk.
    - d/p/hwclock-make-glibc-2.31-compatible.patch: fix hwclock
      for settimeofday(2) changes in glibc 2.31.
    - Enable fstrim.timer by default.
  * Dropped changes, superseded by Debian:
    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
   * Dropped changes, included upstream:
    - d/p/prevent-fstrim-inside-container.patch: Prevent fstrim to run
      inside a container environment.
    - d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
      fix ambivalent detection of bcache and xfs_external_log
      due to regular xfs on bcache backing device.
    - d/p/lsblk-force-to-print-PKNAME-for-partition.patch: fix regression
      that lsblk doesn't print PKNAME column for partitions

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 11:44:13 -0700

util-linux (2.35.1-5) unstable; urgency=medium

  * libmount-dev: depend on libselinux1-dev (Closes: #960446)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 May 2020 17:11:40 +0000

util-linux (2.35.1-4) unstable; urgency=medium

  * fdisk: Drop Important: yes to avoid piuparts/apt problem.
    Thanks to Andreas Beckmann.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 May 2020 08:53:53 +0000

util-linux (2.35.1-3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Improve fstrim.timer installation, probably fixes kfreebsd FTBFS
  * d/copyright: update
  * Add NEWS entry for eject change
  * Mark eject(-udeb) as Priority: optional, as before

  [ Michael Biebl ]
  * Take over eject binary (Closes: #737658)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 May 2020 22:49:29 +0000

util-linux (2.35.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.13.1-2, 2.13.1-1, 2.13-10,
    2.13-1, 2.12p-1, 2.12l-1, 2.12-3, 2.11z-2, 2.10n-1, 2.10d-7, 2.10d-
    4, 2.9x-1.
  * Fill in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Michael Biebl ]
  * Move all libraries to /usr/lib (Closes: #959744)

  [ Mark Hindley ]
  * Fix fallocate test failure in pbuilder

  [ Chris Hofstaedtler ]
  * hwclock.sh: fix indent
  * hwclock.sh: remove obsolete header
  * Stop depending on fdisk (Closes: #947134)
  * Remove Andreas Henriksson from Uploaders: per request
  * Enable fstrim.timer by default
  * Install runuser bash-completion symlink (Closes: #913098)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 06 May 2020 09:10:20 +0000

util-linux (2.35.1-1) unstable; urgency=medium

  * New upstream released. (Closes: #954002)
  * Bump Standards-Version to 4.5.0
  * Update Maintainers/Uploaders to reflect reality
  * Run wrap-and-sort -a, fix tab/space mixup in debian/copyright
  * Install new scriptlive(1) tool
  * Apply patches from git HEAD:
    hwclock: make glibc 2.31 compatible (Closes: #955559)
    lsblk: fix -P regression from v2.34 (Closes: #951217)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 13:45:56 +0000

util-linux (2.34-0.1ubuntu9) focal; urgency=medium

  * d/p/hwclock-make-glibc-2.31-compatible.patch: fix hwclock
    for settimeofday(2) changes in glibc 2.31. (LP: #1870316)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 02 Apr 2020 12:29:40 -0300

util-linux (2.34-0.1ubuntu8) focal; urgency=medium

  * hwclock: fix audit exit status (LP: #1865504)

 -- Joy Latten <joy.latten@canonical.com>  Thu, 05 Mar 2020 11:23:23 -0600

util-linux (2.34-0.1ubuntu7) focal; urgency=medium

  * d/p/lsblk-force-to-print-PKNAME-for-partition.patch: fix regression
    that lsblk doesn't print PKNAME column for partitions (LP: #1862846)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 20 Feb 2020 11:09:29 -0300

util-linux (2.34-0.1ubuntu6) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:58 +0000

util-linux (2.34-0.1ubuntu5) focal; urgency=medium

  * d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
    fix ambivalent detection of bcache and xfs_external_log
    due to regular xfs on bcache backing device. (LP: #1858802)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 08 Jan 2020 16:03:19 -0300

util-linux (2.34-0.1ubuntu4) focal; urgency=medium

  * bash-completion/umount: fix completion to not require gawk be present.
    Thanks to Étienne Mollier for the patch. (LP: #1845529)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 03 Dec 2019 15:27:13 -0500

util-linux (2.34-0.1ubuntu3) focal; urgency=medium

  * Drop dependency from util-linux to fdisk.  The transition to split-out
    fdisk was done before 18.04 so the transitional dependency is no longer
    needed, and fdisk should not be pulled into the essential package set
    since it's not needed in container environments.  For bootable systems
    which need fdisk, it will be pulled in directly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Nov 2019 13:40:12 -0800

util-linux (2.34-0.1ubuntu2) eoan; urgency=medium

  * d/p/prevent-fstrim-inside-container.patch:
    - Prevent fstrim to run inside a container environment.
    (LP: #1589289)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 21 Aug 2019 13:19:03 +0000

util-linux (2.34-0.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
    - Enable fstrim.timer by default.
  * Dropped changes, included upstream:
    - debian/patches/32-bit-safe-mbr-parsing.patch: [PATCH] libfdisk:
      (dos) Use strtoul to parse the label-id.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 23:50:01 -0700

util-linux (2.34-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #931613)
  * Do not ship new hardlink tool, would conflict with existing
    hardlink package.
  * Update symbol files.
  * Bump Standards-Version to 4.4.0

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 28 Jul 2019 15:14:02 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfdisk1`.
